/* This file is used for StudentForm Add , Update , View Student , Attandance View */

$(document).ready(function () {

    var lines = [];

   

    $("#Doj").datepicker({

        autoclose: true,

        dateFormat: date_format,

        todayHighlight: true,

        changeMonth: true,

        changeYear: true,

        yearRange: "-50:+0",   

        maxDate: 0,     

    });

	

    $("#Dob").datepicker({

        autoclose: true,

        dateFormat: date_format,

        todayHighlight: true,

        changeMonth: true,

        changeYear: true,

		maxDate: 0,

		 yearRange: "-50:+0",

           beforeShow: function(input, inst) {

                $(document).off('focusin.bs.modal');

            },

            onClose: function() {

                $(document).on('focusin.bs.modal');

            },

            onSelect: function(selectedDate) {

                  $(this).valid(); 

              

            }

    });

	

    
    

	$("#displaypicture").change(function(){    
            var id = $(this).attr('id'); 
            
            var fsize = document.getElementById(id).files[0].size;
            var fileName = $(this).val();
            var maxsize = 3 * 1024 * 1024;          
            if( fsize > maxsize ) {
                $('#test').html( 'File Size should be less than 3 MB, Please select another file');
                $(this).val('');
            }   
            var fileExtension = fileName.substring(fileName.lastIndexOf('.') + 1);
            if($.inArray(fileExtension, ['jpg','jpeg']) == -1) { 
                $('#test').html( 'Please select either jpg or jpeg file');
                $(this).val('');                
            }
            imagePreview(this); // Use Image Preview
        });
        
        /* Image Preview Function */
        function imagePreview(input) { 
            if (input.files) {
                var reader = new FileReader(); 
                    reader.onload = function (e) {
                    $('#img_preview')
                        .attr('src', e.target.result)
                        .width(112)
                        .height(112);
                    }   
                    reader.readAsDataURL(input.files[0]);   
            }
            
        }

	$("#StudentEditForm").validate({

       rules: {

            s_fname: "required",

			//s_mname: "required",   

			s_address: "required",

			//p_fname:"required",			

			s_lname: "required",

			s_zipcode: "required",

            s_rollno:"required",

			// s_phone: {

			// 	required: true,

			// 	number: true,

			// 	minlength: 7,

   //              maxlength: 10

			// },

            s_zipcode:{

                required: true,

                number: true

            },

            s_pzipcode:{

                required: true,

                number: true

            },

        },

        messages: {

            s_fname: "Please enter first Name",

            s_address: "Please enter current address",

            s_lname: "Please enter last Name",

			//s_mname: "Please enter middle Name",

            s_rollno: "Please enter Roll Number",

        },

        submitHandler: function (form) {

			   var myform = document.getElementById("StudentEditForm");

				

				var data = new FormData();

				var fdata = $('#StudentEditForm').serializeArray();

				var ufile = $('#displaypicture')[0].files[0];

			//	var pfile = $('#p_displaypicture')[0].files[0];

				data.append('action', 'UpdateStudent');

				data.append('displaypicture', ufile);

			//	data.append('p_displaypicture', pfile); //parent file

				$.each(fdata, function (key, input) {

					data.append(input.name, input.value);

				});

				data.append('data',fdata);

				

				$.ajax({

					type: "POST",

					url: ajax_url,

					data: data,

					cache: false,

					processData: false,

					contentType: false,

					beforeSend: function () {

						//$.fn.notify('loader', {'desc': 'Saving data..'});

						//$('#studentform').attr("disabled","disabled");

						$("#SavingModal").css("display", "block");

					$('#studentform').attr("disabled", 'disabled');

					},

					success: function (rdata) {

						$('#studentform').removeAttr('disabled');

						if (rdata == 'success0')

						{

					
							$(".wpsp-popup-return-data").html('Student update successfully !');

								$("#SuccessModal").css("display", "block");

								$("#SavingModal").css("display", "none");

								$("#SuccessModal").addClass("wpsp-popVisible");

								var  wpsp_pageURL= $('#wpsp_locationginal').val();

								var delay = 1000;

								var url =  wpsp_pageURL+"admin.php?page=sch-editprofile";

								var timeoutID = setTimeout(function() {

								window.location.href = url;

							}, delay);	

							$('#StudentEntryForm').trigger("reset");

							$('#studentform').attr("disabled","disabled");

                            

						}

						else

						{

							// $.fn.notify('error', {'desc': rdata, autoHide: true, clickToHide: true  });

							$(".wpsp-popup-return-data").html(rdata);

								$("#SavingModal").css("display", "none");

								$("#WarningModal").css("display", "block");

								$("#WarningModal").addClass("wpsp-popVisible");

						}

					},

					error: function () {

						$("#SavingModal").css("display", "none");

							$("#WarningModal").css("display", "block");

							$("#WarningModal").addClass("wpsp-popVisible");

							$('#teacherform').removeAttr('disabled');

						//$('#formresponse').html("<div class='alert alert-danger'>Something went wrong!</div>");

						//$('#studentform').removeAttr('disabled');

					},

					complete: function () {

						$('.pnloader').remove();

						$('#studentform').removeAttr('disabled');

					}

				});

				

				

		}        

    });

    $("#ParentEditForm").validate({

       

        submitHandler: function (form) {

               var myform = document.getElementById("ParentEditForm");
                var data = new FormData();

                var fdata = $('#ParentEditForm').serializeArray();

                var ufile = $('#displaypicture')[0].files[0];

            //  var pfile = $('#p_displaypicture')[0].files[0];

                data.append('action', 'UpdateStudent');

                data.append('displaypicture', ufile);


            //  data.append('p_displaypicture', pfile); //parent file

                $.each(fdata, function (key, input) {

                    data.append(input.name, input.value);

                });

                data.append('data',fdata);

                console.log(fdata);

                $.ajax({

                    type: "POST",

                    url: ajax_url,

                    data: data,

                    cache: false,

                    processData: false,

                    contentType: false,

                    beforeSend: function () {

                        $("#SavingModal").css("display", "block");

                    $('#parentform').attr("disabled", 'disabled');

                    },

                    success: function (rdata) {

                        $('#parentform').removeAttr('disabled');

                        if (rdata == 'success0')

                        {

                            $(".wpsp-popup-return-data").html('Parent updated successfully !');

                                $("#SuccessModal").css("display", "block");

                                $("#SavingModal").css("display", "none");

                                $("#SuccessModal").addClass("wpsp-popVisible");

                                var  wpsp_pageURL= $('#wpsp_locationginal').val();

                                var delay = 1000;

                                var url =  wpsp_pageURL+"admin.php?page=sch-editprofile";

                                var timeoutID = setTimeout(function() {

                                window.location.href = url;

                            }, delay);  

                            $('#parentform').attr("disabled","disabled");
                        }
                        else
                        {
                            $(".wpsp-popup-return-data").html(rdata);
                                $("#SavingModal").css("display", "none");
                                $("#WarningModal").css("display", "block");
                                $("#WarningModal").addClass("wpsp-popVisible");
                        }
                    },
                    error: function () {
                        $("#SavingModal").css("display", "none");
                            $("#WarningModal").css("display", "block");
                            $("#WarningModal").addClass("wpsp-popVisible");
                            $('#parentform').removeAttr('disabled');
                    },
                    complete: function () {
                        $('.pnloader').remove();
                        $('#parentform').removeAttr('disabled');
                    }
                });
        }        
    });

	

    
	$('#StudentEditForm').submit(function (e) {

        e.preventDefault();

    });


    // Teacher Edit Profile
    $("#TeacherEditForm").validate({
        rules: {
                firstname: "required",Address: "required",lastname: "required",
                Username: {
                    required: true,
                    minlength: 5
                },
                Password: {
                    required: true,
                    minlength: 4
                },
                ConfirmPassword: {
                    required: true,
                    minlength: 4,
                    equalTo: "#Password"
                },
                Email: {
                    required: true,
                    email: true
                },
                Phone: {                    
                    number:true,    
                    minlength: 7
                },
                zipcode:{required: true,number:true},
                whours: "required"
            },
            messages: {
                firstname: "Please Enter Teacher Name",Address: "Please Enter current Address",lastname: "Please Enter Last Name",
                Username: {
                    required: "Please enter a username",
                    minlength: "Username must consist of at least 5 characters"
                },
                Password: {
                    required: "Please provide a password",
                    minlength: "Password must be at least 5 characters long"
                },
                Confirm_password: {
                    required: "Please provide a password",
                    minlength: "Password must be at least 5 characters long",
                    equalTo: "Please enter the same password as above"
                },
                Email: "Please enter a valid email address",
            },
        submitHandler: function (form) {
                var myform = document.getElementById("TeacherEditForm");    
                var data = new FormData();
                var fdata = $('#TeacherEditForm').serializeArray();
                var ufile = $('#displaypicture')[0].files[0];
                data.append('action', 'UpdateTeacher');
                data.append('displaypicture', ufile);
                $.each(fdata, function (key, input) {
                    data.append(input.name, input.value);
                });
                data.append('data',fdata);
                $.ajax({
                        type: "POST",
                        url: ajax_url,
                        data: data,
                        cache: false,
                        processData: false, 
                        contentType: false,
                        beforeSend:function () {
                            $('#u_teacher').attr('disabled','disabled');
                            $("#SavingModal").css("display", "block");  
                        },
                        success: function(rdata) { 
                            if(rdata=='success0')
                            {   
                                $(".wpsp-popup-return-data").html('Teacher updated successfully !');
                                $("#SuccessModal").css("display", "block");
                                $("#SavingModal").css("display", "none");
                                $("#SuccessModal").addClass("wpsp-popVisible");
                                
                                var  wpsp_pageURL= $('#wpsp_locationginal').val();
                                var delay = 1000;
                                var url =  wpsp_pageURL+"/admin.php?page=sch-editprofile";
                                var timeoutID = setTimeout(function() {
                                window.location.href = url;
                                }, delay);
                                    
                                $('#TeacherEditForm').trigger("reset"); 
                                $('#u_teacher').attr('disabled','disabled');    
                            }
                            else
                            {
                                $(".wpsp-popup-return-data").html(rdata);
                                $("#SavingModal").css("display", "none");
                                $("#WarningModal").css("display", "block");
                                $("#WarningModal").addClass("wpsp-popVisible");
                            }
                        },
                        error:function () {
                                $("#SavingModal").css("display", "none");
                                $("#WarningModal").css("display", "block");
                                $("#WarningModal").addClass("wpsp-popVisible");
                        },
                        complete:function(){
                            $('.pnloader').remove();    
                        }
                });
                
                
        }        
    });

});